# Uses of Class
org.apache.sling.feature.extension.apiregions.api.config.validation.ConfigurationValidationResult

Packages that use ConfigurationValidationResult
Package
Description
org.apache.sling.feature.extension.apiregions.api.config.validation

## Uses of ConfigurationValidationResult in org.apache.sling.feature.extension.apiregions.api.config.validation

Methods in org.apache.sling.feature.extension.apiregions.api.config.validation that return ConfigurationValidationResult
Modifier and Type
Method
Description
`ConfigurationValidationResult`
ConfigurationValidator.`validate(org.apache.sling.feature.Configuration config, ConfigurableEntity desc, Region region)`
Validate a configuration
`ConfigurationValidationResult`
ConfigurationValidator.`validate(org.apache.sling.feature.Configuration config, ConfigurableEntity desc, Region region, Mode mode)`
Validate a configuration
Methods in org.apache.sling.feature.extension.apiregions.api.config.validation that return types with arguments of type ConfigurationValidationResult
Modifier and Type
Method
Description
`Map<String,ConfigurationValidationResult>`
FeatureValidationResult.`getConfigurationResults()`
Get the confiugration validation results.